## pendulum 3.0.0~a1

=== Makefile ===
# This file is part of orator
# https://github.com/sdispater/orator

# Licensed under the MIT license:
# http://www.opensource.org/licenses/MIT-license
# Copyright (c) 2015 Sébastien Eustace

PENDULUM_RELEASE := $$(sed -n -E "s/VERSION = \"(.+)\"/\1/p" pendulum/version.py)

# lists all available targets
list:
	@sh -c "$(MAKE) -p no_targets__ | \
		awk -F':' '/^[a-zA-Z0-9][^\$$#\/\\t=]*:([^=]|$$)/ {\
			split(\$$1,A,/ /);for(i in A)print A[i]\
		}' | grep -v '__\$$' | grep -v 'make\[1\]' | grep -v 'Makefile' | sort"
# required for list
no_targets__:

# install all dependencies
setup: setup-python

# test your application (tests in the tests/ directory)
test:
	@py.test --cov=pendulum --cov-config .coveragerc tests/ -sq

linux_release: wheels_x64 wheels_i686

release: wheels_x64 wheels_i686 wheel

publish:
	@poetry publish --no-build

tar:
	python setup.py sdist --formats=gztar

wheel:
	@poetry build -v

wheels_x64: build_wheels_x64

wheels_i686: build_wheels_i686

build_wheels_x64:
	docker pull quay.io/pypa/manylinux1_x86_64
	docker run --rm -v `pwd`:/io quay.io/pypa/manylinux1_x86_64 /io/build-wheels.sh

build_wheels_i686:
	docker pull quay.io/pypa/manylinux1_i686
	docker run --rm -v `pwd`:/io quay.io/pypa/manylinux1_i686 /io/build-wheels.sh

# run tests against all supported python versions
tox:
	@tox

## pendulum 2.1.2

=== debian/changelog ===
pendulum (2.1.2-4) sid; urgency=medium

  * Uploading to sid.
  * Updating packaging copyright for 2022.
  * Updating to standards version 4.6.1.
  * Fixing watch file by switching from releases to tags.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 22 Sep 2022 22:21:33 +0200

pendulum (2.1.2-3) sid; urgency=medium

  * Uploading to sid.
  * Updating python debhelper sequence.
  * Updating to standards version 4.6.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Oct 2021 10:51:39 +0200

pendulum (2.1.2-2) sid; urgency=medium

  * Uploading to sid.
  * Adding README.source.
  * Adding depends to python3-pytzdata.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 07 Feb 2021 08:26:00 +0100

pendulum (2.1.2-1) sid; urgency=medium

  * Initial upload to sid (Closes: #892283),
    required for pgcli (#972598) which moved from humanize to pendulum.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 30 Jan 2021 08:58:08 +0100

=== debian/control ===
Source: pendulum
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all-dev,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://pendulum.eustace.io
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pendulum
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pendulum

Package: python3-pendulum
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pytzdata,
Description: Python datetimes made easy
 Native Python datetime is enough for basic cases, pendulum provides a cleaner
 and more easy to use API while still relying on the standard library. It’s
 still datetime but better.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pendulum

%:
	dh ${@} --buildsystem=pybuild

execute_before_dh_auto_clean:
	cp debian/local/setup.py setup.py

execute_after_dh_auto_clean:
	rm -f setup.py

execute_before_dh_auto_configure:
	cp debian/local/setup.py setup.py

override_dh_auto_test:
	# disabled

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pendulum-$1\.tar\.gz/ \
https://github.com/sdispater/pendulum/tags .*/v?(\d\S+)\.tar\.gz

## pendulum 3.0.0~a1

=== debian/changelog ===
pendulum (3.0.0~a1-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 3.0.0~a1.
  * Updating to standards version 4.6.2.
  * Adding handling for alpha/beta version numbers in watch file.
  * Adding symlink to zoneinfo during build to fix FTBFS.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 05 Jan 2023 11:44:20 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3-all-dev,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://pendulum.eustace.io
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pendulum
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pendulum

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,15 @@
 
 execute_before_dh_auto_clean:
 	cp debian/local/setup.py setup.py
+	ln -sf /usr/share/zoneinfo pendulum/tz/zoneinfo
 
 execute_after_dh_auto_clean:
 	rm -f setup.py
+	rm -f pendulum/tz/zoneinfo
 
 execute_before_dh_auto_configure:
 	cp debian/local/setup.py setup.py
+	ln -sf /usr/share/zoneinfo pendulum/tz/zoneinfo
 
 override_dh_auto_test:
 	# disabled

## pendulum 3.0.0

=== Makefile ===

# lists all available targets
list:
	@sh -c "$(MAKE) -p no_targets__ | \
		awk -F':' '/^[a-zA-Z0-9][^\$$#\/\\t=]*:([^=]|$$)/ {\
			split(\$$1,A,/ /);for(i in A)print A[i]\
		}' | grep -v '__\$$' | grep -v 'make\[1\]' | grep -v 'Makefile' | sort"
# required for list
no_targets__:

lint-rust:
	cd rust && cargo fmt --all -- --check
	cd rust && cargo clippy --tests -- -D warnings


format-rust:
	cd rust && cargo fmt --all
	cd rust && cargo clippy --tests --fix --allow-dirty -- -D warnings

=== debian/changelog ===
pendulum (3.0.0-3) unstable; urgency=medium

  * Team upload.
  * Make empty durations an error in pure-Python parser (fixes
    pydantic-extra-types autopkgtests on 32-bit architectures).

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Jun 2025 11:07:08 +0100

pendulum (3.0.0-2) unstable; urgency=medium

  * Team upload
  * rust: Use i64 for internal unix timestamps (LP: #2079029)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 05 Sep 2024 14:09:56 +0200

pendulum (3.0.0-1) sid; urgency=medium

  [ Ananthu C V ]
  * New upstream version 3.0.0 (Closes: #1078378, #1058882)
  * Enable build with maturin backend
  * Add patch to relax rust crate dependency versions
  * Clean up thoroughly after build
  * Enable build time tests
  * Update dependencies and build dependencies
  * Make pendulum compatible with pyo3 v0.22
  * Remove dependency on python tzdata library
  * Remove section from binary package
  * Add upstream metadata
  * Export buildflags
  * Adpot the package with python team as maintainer
  * Add vcs-* urls
  * Update d/copyright info
  * Remove pytz dependency
  * Remove irrelevant source readme file
  * Enable autopkgtest
  * Mark more B-D not necessary for build with nocheck

 -- Ananthu C V <weepingclown@disroot.org>  Tue, 13 Aug 2024 03:24:49 +0530

pendulum (3.0.0~a1-3) sid; urgency=medium

  * Uploading to sid.
  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.
  * Orphaning package, all other packages that I maintain moved away from
    pendulum.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 30 Jul 2024 20:16:31 +0200

pendulum (3.0.0~a1-2) experimental; urgency=medium

  * Uploading to experimental.
  * Manually removing some files that pybuild doesn't clean up during
    build (Closes: #1047889).
  * Avoid overwriting symlinks to avoid fakeroot troubles.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 14 Aug 2023 11:55:38 +0200

=== debian/control ===
Source: pendulum
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ananthu C V <weepingclown@disroot.org>,
           Edward Betts <edward@4angle.com>
Build-Depends: cargo,
               debhelper-compat (= 13),
               dh-sequence-python3,
               librust-mimalloc-dev,
               librust-pyo3+extension-module-dev,
               librust-pyo3+generate-import-lib-dev,
               librust-pyo3-0.22+gil-refs-dev,
               librust-pyo3-dev,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-maturin,
               python3-pytest <!nocheck>,
               python3-time-machine <!nocheck>,
               tzdata-legacy <!nocheck>
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.0
Homepage: https://pendulum.eustace.io
Vcs-Git: https://salsa.debian.org/python-team/packages/pendulum.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pendulum

Package: python3-pendulum
Architecture: any
Depends: python3-time-machine,
         tzdata-legacy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python datetimes made easy
 Native Python datetime is enough for basic cases, pendulum provides a cleaner
 and more easy to use API while still relying on the standard library. It’s
 still datetime but better.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/rustc/architecture.mk
include /usr/share/dpkg/buildflags.mk

# broken symlinks after getting copied to under .pybuild
export PYBUILD_TEST_ARGS = -k "not test_unix_symlink and not test_unix_etc_timezone_dir"
export PYBUILD_NAME = pendulum

export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS

export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_configure:
	cp debian/cargo_config/config.toml rust/
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system

## pendulum 3.1.0

=== Makefile ===
--- 
+++ 
@@ -16,3 +16,18 @@
 format-rust:
 	cd rust && cargo fmt --all
 	cd rust && cargo clippy --tests --fix --allow-dirty -- -D warnings
+
+dev:
+	poetry install --only main --only test --only typing --only build --only lint
+	poetry run maturin develop
+
+lint:
+	poetry run mypy
+	poetry run pre-commit run --all-files
+
+test:
+	PENDULUM_EXTENSIONS=0 poetry run pytest -q tests
+	poetry run pytest -q tests
+
+clean:
+	rm src/pendulum/*.so

=== docs/Makefile ===
html:
	mkdocs build

=== debian/changelog ===
pendulum (3.1.0-2) unstable; urgency=medium

  * Team upload.
  * Accept pyo3 0.26.

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Oct 2025 09:33:46 +0100

pendulum (3.1.0-1) unstable; urgency=medium

  [ Ananthu C V ]
  * update d/watch to version 5
  * new upstream version 3.1.0
  * simpify includes in d/rules
  * drop unnecessary steps from build process
  * update patches
  * update build-deps
  * add pyo3 0.25 compatibility patch
  * bump Standards-Version to 4.7.2 (no changes needed)
  * use my debian address for uploaders
  * add pyo3 to Testsuite-Triggers to trigger autopkgtests on pyo3 updates

  [ Fabian Grünbichler ]
  * add Static-Built-Using

 -- Ananthu C V <weepingclown@debian.org>  Thu, 21 Aug 2025 03:02:08 +0530

=== debian/control ===
Source: pendulum
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Ananthu C V <weepingclown@debian.org>,
 Edward Betts <edward@4angle.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-cargo,
 dh-sequence-python3,
 cargo:native,
 librust-pyo3+default-dev (>= 0.24),
 librust-pyo3+default-dev (<< 0.27),
 librust-pyo3+extension-module-dev (>= 0.24),
 librust-pyo3+extension-module-dev (<< 0.27),
 libstd-rust-dev,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-maturin,
 python3-pytest <!nocheck>,
 python3-time-machine <!nocheck>,
 rustc:native,
 tzdata-legacy <!nocheck>,
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.2
Homepage: https://pendulum.eustace.io
Vcs-Git: https://salsa.debian.org/python-team/packages/pendulum.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pendulum

Package: python3-pendulum
Architecture: any
Depends:
 python3-time-machine,
 tzdata-legacy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Python datetimes made easy
 Native Python datetime is enough for basic cases, pendulum provides a cleaner
 and more easy to use API while still relying on the standard library. It’s
 still datetime but better.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 
-include /usr/share/dpkg/pkg-info.mk
-include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/default.mk
 include /usr/share/rustc/architecture.mk
-include /usr/share/dpkg/buildflags.mk
 
 # broken symlinks after getting copied to under .pybuild
 export PYBUILD_TEST_ARGS = -k "not test_unix_symlink and not test_unix_etc_timezone_dir"
@@ -20,5 +18,8 @@
 	dh $@ --buildsystem=pybuild
 
 execute_before_dh_auto_configure:
-	cp debian/cargo_config/config.toml rust/
 	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
+
+execute_after_dh_install:
+	ln -sf rust/target target
+	/usr/share/cargo/bin/dh-cargo-built-using python3-pendulum

=== debian/tests/control ===
Test-Command: true
Depends: librust-pyo3-dev,
Restrictions: hint-testsuite-triggers,
Features: test-name=testsuite-tigger-hint

=== debian/watch ===
Version: 5

Template: Github
Owner: sdispater
Project: pendulum
Filenamemangle: s/.+\/v?(\d\S+)\.tar\.gz/pendulum-$1\.tar\.gz/
Uversionmangle: s/(\d)\-?((a|b)\d*)$/$1~$2/
